:root {
  --main--color: #0078ff;
  --second--color: #f5f5f5;
  --text--color: #4e4e4e;
  --head--color: #1e1e1e;
}
body {
  background-color: var(--second--color);
  color: var(--text--color);
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: var(--head--color);
}
a {
  color: var(--head--color);
  text-decoration: none;
  transition: all 0.5s ease-in-out;
}
a:hover {
  color: var(--main--color);
  text-decoration: none;
  transition: all 0.5s ease-in-out;
}

/* Start Header */
#header {
  transition: all 0.5s;
  z-index: 997;
  padding: 20px 0;
  background: rgba(0, 0, 0, 0.9);
}
#header .logo {
  font-size: 28px;
  margin: 0;
  padding: 0;
  font-weight: 600;
  letter-spacing: 1px;
}
#header .logo a {
  color: #fff;
}
.navbar {
  padding: 0;
}
.navbar ul {
  margin: 0;
  padding: 0;
  display: flex;
  list-style: none;
  align-items: center;
}
.navbar li {
  position: relative;
}
.navbar > ul > li {
  white-space: nowrap;
  padding: 10px 0 10px 30px;
}
.navbar a,
.navbar a:focus {
  display: flex;
  align-items: center;
  justify-content: space-between;
  color: #fff;
  font-size: 16px;
  font-weight: 600;
  padding: 0;
  white-space: nowrap;
  transition: 0.3s;
  letter-spacing: 0.4px;
  position: relative;
  text-transform: uppercase;
}
.navbar a i,
.navbar a:focus i {
  font-size: 12px;
  line-height: 0;
  margin-left: 5px;
}
.navbar > ul > li > a:before {
  content: "";
  position: absolute;
  width: 100%;
  height: 2px;
  bottom: -6px;
  left: 0;
  width: 0;
  background-color: #fff;
  visibility: hidden;
  transition: all 0.3s ease-in-out 0s;
}
.navbar a:hover:before,
.navbar li:hover > a:before,
.navbar .active:before {
  visibility: visible;
  width: 80%;
}
.navbar a:hover,.navbar .active,.navbar .active:focus,.navbar li:hover > a {
  color: #fff;
}
.navbar .drop ul {
  display: block;
  position: absolute;
  left: 30px;
  top: calc(100% + 30px);
  margin: 0;
  padding: 10px 0;
  z-index: 99;
  opacity: 0;
  visibility: hidden;
  background: #fff;
  box-shadow: 0px 0px 30px rgba(127, 137, 161, 0.25);
  transition: 0.3s;
}
.navbar .drop ul li {
  min-width: 200px;
}
.navbar .drop ul a {
  padding: 10px 20px;
  font-size: 14px;
  text-transform: none;
  color: var(--text--color);
}
.navbar .drop ul a i {
  font-size: 12px;
}
.navbar .drop ul a:hover,.navbar .drop ul .active:hover,.navbar .drop ul li:hover > a {
  color: var(--main--color);
}
.navbar .drop:hover > ul {
  opacity: 1;
  top: 100%;
  visibility: visible;
}
.navbar .drop .drop ul {
  top: 0;
  left: calc(100% - 30px);
  visibility: hidden;
}
.navbar .drop .drop:hover > ul {
  opacity: 1;
  top: 0;
  left: 100%;
  visibility: visible;
}

.mobile-toggle {
  color: #fff;
  font-size: 28px;
  cursor: pointer;
  display: none;
  line-height: 0;
  transition: 0.5s;
}

/* Start Hero */
.hero {
  height: 100vh;
  position: relative;
  color: #fff;
  background-image: url(../img/hero-bg.jpg);
  background-position: center center;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
}
.hero .content {
  text-align: center;
  position: absolute;
  width: 100%;
  height: 100%;
  display: table;
}
.hero .inner
{
  display: table-cell;
  vertical-align: middle;
}
.hero .layer {
  background-color: rgba(0, 0, 0, 0.6);
  position: absolute;
  top: 0;
  left: 0;
  padding: 0;
  height: 100%;
  width: 100%;
  opacity: 0.9;
}
.hero .title {
  color: #fff;
  font-weight: 600;
  font-size: 48px;
}

.hero .subtitle
{
  font-size: 24px;
  font-weight: 600;
}
.hero .subtitle::after
{
  content: " |";
  animation-name: example;
  animation-duration: 8s;
  animation-iteration-count: infinite;
  font-weight:normal;
}
@keyframes example
{
  0% {content: "  |";}
  1% {content: " D |";}
  2% {content: " De |";}
  3% {content: " Des |";}
  4% {content: " Desi |";}
  6% {content: " Desig |";}
  7% {content: " Design |";}
  8% {content: " Designe |";}
  10% {content: " Designer |";}
  11% {content: " Designe |";}
  12% {content: " Design |";}
  13% {content: " Desig |";}
  14% {content: " Desi |";}
  15% {content: " Des |";}
  16% {content: " De |";}
  17% {content: " D |";}
  19% {content: "  |";}
  22% {content: "  |";}
  25% {content: "  |";}
  26% {content: " F |";}
  28% {content: " Fr |";}
  30% {content: " Fre |";}
  32% {content: " Free |";}
  34% {content: " Freel |";}
  36% {content: " Freela |";}
  38% {content: " Freelan |";}
  40% {content: " Freelanc |";}
  41% {content: " Freelance |";}
  42% {content: " Freelancer |";}
  43% {content: " Freelance |";}
  44% {content: " Freelanc |";}
  45% {content: " Freelan |";}
  46% {content: " Freela |";}
  47% {content: " Freel |";}
  48% {content: " Free |";}
  49% {content: " Fre |";}
  50% {content: " Fr |";}
  51% {content: " F |";}
  52% {content: "  |";}
  53% {content: " D |";}
  54% {content: " De |";}
  55% {content: " Dev |";}
  56% {content: " Deve |";}
  57% {content: " Devel |";}
  58% {content: " Develo |";}
  59% {content: " Develop |";}
  60% {content: " Develope |";}
  61% {content: " Developer |";}
  62% {content: " Develope |";}
  63% {content: " Develop |";}
  64% {content: " Develo |";}
  65% {content: " Devel |";}
  66% {content: " Deve |";}
  67% {content: " Dev |";}
  68% {content: " De |";}
  69% {content: " D |";}
  70% {content: "  |";}
  72% {content: "  |";}
  74% {content: "  |";}
  75% {content: " P |";}
  76% {content: " Ph |";}
  77% {content: " Pho |";}
  78% {content: " Phot |";}
  79% {content: " Photo |";}
  80% {content: " Photog |";}
  81% {content: " Photogr |";}
  82% {content: " Photogra |";}
  83% {content: " Photograp |";}
  84% {content: " Photograph |";}
  85% {content: " Photographe |";}
  86% {content: " Photographer |";}
  87% {content: " Photographe |";}
  88% {content: " Photograph |";}
  89% {content: " Photograp |";}
  90% {content: " Photogra |";}
  92% {content: " Photogr |";}
  93% {content: " Photog |";}
  95% {content: " Photo |";}
  96% {content: " Phot |";}
  97% {content: " Pho |";}
  98% {content: " Ph |";}
  99% {content: " P |";}
  100% {content: "  |";}
}




/* End Hero */


/* Start About */
#about
{
  padding-top: 64px;
}
.box-shadow
{
  position: relative;
  background-color: #fff;
  margin-bottom: 48px;
  z-index: 2;
  box-shadow: rgba(0, 0, 0, 0.06) 0px 1px 1px 0px, rgba(0, 0, 0, 0.2) 0px 2px 5px 0px;
  padding: 48px 20px;
}

.about .box-shadow
{
  padding-top: 64px;
  padding-bottom: 64px;
}
.about .about-image
{
  margin-bottom: 32px;
}
.about .about-image img
{
  max-width: 100%;
  height: auto;
  margin-left: 10px;
}
.title-s
{
  font-weight: 600;
  font-size: 17.5px;
  color: var(--head--color);
}
.about .skill span
{
  color: var(--text--color);
}
.about .skill .progress
{
  background-color: rgb(205, 225, 248);
  height: 11.2px;
  margin: 8px 0px 19.2px;
  border-radius: 0;
}
.about .title-box
{
  margin-bottom: 48px;
}
.about .title-box .title-left
{
  font-size: 32px;
  position: relative;
}
.about .title-box .title-left::before
{
  content: "";
  position: absolute;
  height: 3px;
  background-color: var(--main--color);
  width: 100px;
  bottom: -12px;
}
.lead
{
  font-size: 20px;
  font-weight: 300;
}
/* End About */

/* Start Services */
.services .title-box
{
  margin-bottom: 64px;
}
.services .title-box .title
{
  font-size: 48px;
  font-weight: bold;
  text-transform: uppercase;
  text-decoration: none;
}
.services .title-box .subtitle
{
  color:var(--text--color);
}
.services .line
{
  width: 40px;
  height: 5px;
  background-color: var(--main--color);
  margin: 0px auto;
}
.services .services-box
{
  background-color: #fff;
  margin-bottom: 48px;
  text-align: center;
  padding: 40px 20.8px;
  border-radius: 16px;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 13px 8px -10px;
}
.services .services-box .ico
{
  margin-bottom: 16px;
  color: var(--head--color);
}
.services .services-box .ico-circle
{
  height: 100px;
  width: 100px;
  font-size: 32px;
  line-height: 1.55;
  text-align: center;
  box-shadow: var(--main--color) 0px 0px 0px 10px;
  border-radius: 50%;
  margin: 0px auto;
  display: inline-flex;
  align-items: center;
  justify-content: center;
    transition: all 0.5s ease;
}
.services .services-box:hover .ico-circle
{
  color: #fff;
  background-color: var(--main--color);
  box-shadow: 0 0 0 10px #cde1f8;
}
.services .services-box .ico-circle i
{
  line-height: 0;
  font-size: 40px;
}
.services .services-box .content .s-title
{
  font-size: 22.5px;
  text-transform: uppercase;
  text-align: center;
  padding: 6.5px 0px;
}
.services .services-box .content .s-description
{
  color: var(--text--color);
}

/* End Services */

/* Start Counter */
.counter
{
  position: relative;
  padding: 128px 0;
  background-image: url(../img/counters-bg.jpg);
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  background-position: center center;
  box-shadow: 0 13px 8px -10px rgba(0, 0, 0, 0.1);
}

.counter .layer
{
  background-color: var(--main--color);
  position: absolute;
  top: 0;
  left: 0px;
  padding: 0;
  height: 100%;
  width: 100%;
  opacity: 0.7;
}
.counter .counter-box
{
  color: #fff;
}

.counter .counter-box .ico
{
  margin-bottom: 16px;
}
.counter .counter-box .ico-circle
{
  height: 60px;
  width: 60px;
  font-size: 32px;
  border-radius: 50%;
  line-height: 1.5;
  margin: 0 auto;
  text-align: center;
  box-shadow: 0 0 0 10px #cde1f8;
  display: block;
}
.counter .counter-box .num p
{
  font-size: 32px;
  margin-bottom: 0;
}

/* End Counter */

/* Start Portfolio */
.portfolio
{
  margin-top: 64px;
}
.portfolio .title-box
{
  margin-bottom: 64px;
}
.portfolio .title-box .title
{
  font-size: 48px;
  font-weight: bold;
  text-transform: uppercase;
  text-decoration: none;
}
.portfolio .title-box .subtitle
{
  color:var(--text--color);
}
.portfolio .line
{
  width: 40px;
  height: 5px;
  background-color: var(--main--color);
  margin: 0px auto;
}
.portfolio .work-box
{
  margin-bottom: 48px;
  backface-visibility: hidden;
  background-color: #fff;
  box-shadow: 0 13px 8px -10px rgba(0, 0, 0, 0.1);
}
.portfolio .work-img
{
  display: block;
  overflow: hidden;
}
.portfolio .work-img .imag
{
  transition: all 1s;
  max-width: 100%;
  height: auto;
}
.portfolio .work-box:hover img 
{
  transform: scale(1.3);
}
.portfolio .work-content
{
  padding: 32px 3% 16px 4%;
}
.portfolio .work-content .w-title
{
  font-size: 19px;
}
.portfolio .work-content .w-more
{
  color: var(--text--color);
  font-size: 13px;
}
.portfolio .work-content .w-more .w-ctegory
{
  color: var(--main--color);
}
.portfolio .work-content .w-like
{
  font-size: 35px;
  color: var(--main--color);
  float: right;
}
.portfolio .work-content .w-like a
{
  color: var(--main--color);
  position: relative;
}
.portfolio .work-content .w-like a::before
{
  content: "";
  position: absolute;
  width: 45px;
  height: 45px;
  border: var(--main--color) solid 3px;
  border-radius: 50%;
  top: 3px;
  left: -7px;
}

/* End Portfolio */

/* Start Testimonials */
.testimonials
{
  position: relative;
  padding: 128px 0;
  background-image: url(../img/overlay-bg.jpg);
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  background-position: center center;
  box-shadow: 0 13px 8px -10px rgba(0, 0, 0, 0.1);
}

.testimonials .layer
{
  background-color: var(--main--color);
  position: absolute;
  top: 0;
  left: 0;
  padding: 0;
  height: 100%;
  width: 100%;
  opacity: 0.7;
}
.testimonial-box 
{
  color: #fff;
}
.testimonial-box .author
{
  color: #fff;
  text-transform: uppercase;
  font-weight: 600;
  margin: 16px 0;
  display: block;
  font-size: 22.5px;
}
.testimonial-box .description
{
  font-size: 20px;
  font-weight: 300;
}
.carousel-indicators
{
  bottom: -40px;
}
.carousel-indicators [data-bs-target]
{
  width: 12px;
  height: 12px;
  border-radius: 50%;
}

/* End Testimonials */
/* Start Blog */
.blog
{
  padding-top: 64px;
  padding-bottom: 64px;
}
.blog .title-box
{
  margin-bottom: 64px;
}
.blog .title-box .title
{
  font-size: 48px;
  font-weight: bold;
  text-transform: uppercase;
  text-decoration: none;
}
.blog .title-box .subtitle
{
  color:var(--text--color);
}
.blog .line
{
  width: 40px;
  height: 5px;
  background-color: var(--main--color);
  margin: 0px auto;
}
.blog .card-blog
{
  box-shadow: 0 13px 8px -10px rgba(0, 0, 0, 0.1);
}
.blog .card-img img
{
  max-width: 100%;
  height: auto;
}
.blog .card-blog .card-body
{
  position: relative;
}

.blog .card-blog .card-category-box
{
  position: absolute;
  text-align: center;
  top: -16px;
  left: 15px;
  right: 15px;
  line-height: 25px;
  overflow: hidden;
}
.blog .card-blog .card-category
{
  display: inline-block;
  color: #fff;
  padding: 0 15px 5px;
  overflow: hidden;
  background-color: #0078ff;
  border-radius: 4px;
}
.blog .card-blog .card-category .category
{
  color: #fff;
  display: inline-block;
  text-transform: uppercase;
  font-size: 11.5px;
  letter-spacing: 0.1px;
  margin-bottom: 0;
}
.blog .card-blog .card-title
{
  font-size: 21px;
  margin-top: 10px;
}
.blog .card-blog .card-description
{
  color: var(--text--color);
}
.blog .card-blog .post-author
{
  display: inline-block;
}
.blog .card-blog .post-author .avatar
{
  width: 32px;
  height: 32px;
  margin-right: 4px;
  overflow: hidden;
}
.blog .card-blog .post-data
{
  color: var(--text--color);
  float: right;
}

/* End Blog */

/* Start Contact */
.contact
{
  padding: 64px 0 0 ;
  margin-top: 64px;
  position: relative;
  background-image: url(../img/overlay-bg.jpg);
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  background-position: center center;
  box-shadow: 0 13px 8px -10px rgba(0, 0, 0, 0.1);
}

.contact .layer
{
  background-color: var(--main--color);
  position: absolute;
  top: 0;
  left: 0;
  padding: 0;
  height: 100%;
  width: 100%;
  opacity: 0.7;
}
.contact .contact-mf
{
  margin-top: 64px;
}
.contact .title-box
{
  margin-bottom: 48px;
}
.contact .title-box .title-left
{
  font-size: 32px;
  position: relative;
}
.contact .title-box .title-left::before
{
  content: "";
  position: absolute;
  height: 3px;
  background-color: #0078ff;
  width: 100px;
  bottom: -12px;
}
.contact .php-email-form input
{
  padding: 10px 15px;
  border-radius: 0;
  box-shadow: none;
  font-size: 14px;
}
.contact form .button
{
  background: #0078ff;
  border: 0;
  padding: 10px 24px;
  color: #fff;
  transition: 0.4s;
  cursor: pointer;
  border-radius: 80px;
  font-size: 19px;
  text-decoration: none;
  display: inline-block;
  text-align: center;
  vertical-align: middle;
  user-select: none;
}
.contact form .button:hover
{
  background: #3393ff;
  text-decoration: none;
    box-shadow: 0 0 0 4px #cde1f8;
}
.contact .list-ico
{
  line-height: 2;
  list-style: none;
  padding-left: 0;
  margin-bottom: 0;
}
.contact .list-ico i
{
  color: var(--main--color);
  margin-right: 10px;
}
.contact .socials
{
  padding: 24px 0;
}
.contact .socials ul
{
  list-style: none;
  padding-left: 0;
  margin-bottom: 0;
}
.contact .socials ul li
{
  display: inline-block;
}
.contact .socials ul li .ico-circle
{
  height: 40px;
  width: 40px;
  font-size: 19px;
  border-radius: 50%;
  line-height: 1.6;
  margin: 0 15px 0 0;
  box-shadow: 0 0 0 3px #0078ff;
  transition: all 0.5s ease;
  text-align: center;
  display: block;
}

/* End Contact */

/* Start Footer */
footer
{
  text-align: center;
  color: #fff;
  padding: 25px 0;
  background: #0062d3;
}
footer .copyright
{
  margin-bottom: 5px;
}
footer .credits
{
  margin-bottom: 0;
}
footer .credits a
{
  color: #fff;
}

/* End Footer */
.back-to-top
{
  position: fixed;
    visibility: visible;
    opacity: 1;
    right: 15px;
    bottom: 15px;
    z-index: 996;
    background: #0078ff;
    width: 40px;
    height: 40px;
    border-radius: 50px;
    transition: all 0.4s;
}
.back-to-top i
{
  font-size: 16px;
  color: #fff;
  line-height: 0;
}
